class LearningObjectBuilder

  def self.build_from_dspace(item)
    lo = LearningObject.new(
      name: item.name,
      id_dspace: item.id,
      thumbnail: nil,
      metadata: item.metadata.map(&:to_h)
    )

    lo.author = lo.get_metadata_values_of('dc.contributor.author').join(', ')
    lo.description = lo.get_metadata_value_of('dc.description')
    object_type = lo.get_metadata_value_of('dc.type') || 'Desconhecido'
    lo.object_type = ObjectType.where(name: object_type).first_or_create
    lo.language = Language.where(code: lo.get_metadata_value_of('dc.language')).first_or_create
    date = lo.get_metadata_value_of('dc.date.issued')
    lo.published_at = Time.iso8601(date) unless date.nil?
    lo
  end

end
