class ReviewRating < ActiveRecord::Base
  belongs_to :review
  belongs_to :rating

  validates :value, inclusion: { in: Array(1..5), message: "%{value} is not a valid value" }

  validates_presence_of :review, :rating

  validates_uniqueness_of :rating, scope: :review

  def self.default_names
    ['Perda de Tempo', 'Ruim', 'Razoável', 'Muito Bom', 'Excelente']
  end
end
