class Score < ActiveRecord::Base
  has_many :score_user_categories, dependent: :destroy
  has_many :user_categories, through: :score_user_categories

  validates_presence_of :name, :code, :weight
  validates_uniqueness_of :code

  def max_value
    score_user_categories.maximum(:value)
  end

  def category_values(category)
    score_user_categories.find { |x| x.score_id == id && x.user_category_id == category.id }.map {|x| [x.code, x.value] }.to_h
  end
end
