class Topic < ActiveRecord::Base
  has_and_belongs_to_many :learning_objects

  has_many :topic_relationships, foreign_key: "parent_id", dependent: :destroy
  has_many :subtopics, through: :topic_relationships, source: :child

  has_many :topic_highlights, dependent: :destroy

  has_many :highlights, through: :topic_highlights, source: :learning_object

  validates_presence_of :name
  validates_uniqueness_of :name

  scope :defaults, -> { where(default: true) }
end
