class CreateReviewRatings < ActiveRecord::Migration
  def change
    create_table :review_ratings do |t|
      t.references :review, index: true
      t.references :rating, index: true

      t.integer :value

      t.timestamps null: false
    end
    add_foreign_key :review_ratings, :reviews
    add_foreign_key :review_ratings, :ratings
    add_index :review_ratings, [:rating_id, :review_id], unique: true, name: 'rating_and_review'
  end
end
