class CreateTopicRelationships < ActiveRecord::Migration
  def change
    create_table :topic_relationships do |t|
      t.references :parent, index: true
      t.references :child, index: true

      t.timestamps null: false
    end
    add_foreign_key :topic_relationships, :topics, column: :parent_id, name: 'parent_topic_foreign_key'
    add_foreign_key :topic_relationships, :topics, column: :child_id, name: 'child_topic_foreign_key'
    add_index :topic_relationships, [:parent_id, :child_id], unique: true, name: 'parent_and_child'
  end
end
