class CreateRates < ActiveRecord::Migration
  def change
    create_table :rates do |t|
      t.boolean :approves
      t.references :user, index: true
      t.references :review, index: true

      t.timestamps null: false
    end
    add_foreign_key :rates, :users
    add_foreign_key :rates, :reviews
    add_index :rates, [:user_id, :review_id], unique: true, name: 'user_and_review'
  end
end
