# objects

# reputation categories
categories = [
  { name: 'Iniciante' },
  { name: 'Novato' },
  { name: 'Amador' },
  { name: 'Profissional' },
  { name: 'Expert', reference: 1.0 }
]

# reputation
reputations = [
  { name: 'Quantidade de envio de objetos', code: 'reputation_submitted', weight: 4, active: true },
  { name: 'Avaliação média dos seus objetos', code: 'reputation_reviews_average_score', weight: 9, active: true },
  { name: 'Adições a coleções bem avaliadas', code: 'reputation_added_in_best_collections', weight: 7, active: true },
  { name: 'Melhor score', code: 'reputation_best_score', weight: 3, active: true },
  { name: 'Score médio', code: 'reputation_average_score', weight: 7, active: true },
  { name: 'Aprovação das avaliações em objetos de terceiros (% de sim)', code: 'reputation_reviews_rate', weight: 10, active: true },
    # { name: 'Denúncias confirmadas', code: 'reputation_confirmed_complaints', weight: 0, active: true },
  { name: 'Quantidade de seguidores', code: 'reputation_followers', weight: 6, active: true },
  { name: 'Submissões recentes', code: 'reputation_submitted_recently', weight: 4, active: true },
  { name: 'Score das coleções públicas', code: 'reputation_collection_score', weight: 3, active: true }
]

values = [
  [   0,     0,    0,    0,    0,    0,    0,    0,    0], # Iniciante
  [   25,  3.0,   10,  500,  250,   70,   50,    5,  400],  # Novato
  [   50,  3.8,   20,  550,  350,   85,  250,   15,  600],  # Amador
  [  100,  4.2,   40,  600,  450,   90, 1000,   25,  750],  # Profissional
  [  250,  4.9,   80,  680,  550,   95, 5000,   35,  800]   # Expert
]

# iterate to make associations
categories.each_with_index do |c, i|
  category = UserCategory.where(c).first_or_create
  reputations.each_with_index do |r, j|
    reputation = Score.where(r).first_or_create
    ScoreUserCategory.create(user_category: category, score: reputation, value: values[i][j])
  end
end

UserCategory.where(reference: 1.0).first.calculate_reference
